Skip to main content
POST
Plan policy-aware burn-in reruns for standup devices

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

site_id
string<uuid>
required

Site identifier.

Body

Request body for computing a site rerun plan.

device_ids
string<uuid>[]
required

Devices at the site to plan reruns for.

Minimum array length: 1
mode
enum<string>
default:non_passing

non_passing reruns only requirements that are not currently passing; all also reruns passing requirements.

  • non_passing - NON_PASSING
  • all - ALL
Available options:
non_passing,
all

Response

Computed rerun plan for the selected devices.

jobs
object[]
required
skips
object[]
required
excluded_devices
object[]
required